package su.a71.new_soviet.sounds;

import net.minecraft.block.Blocks;
import net.minecraft.sound.SoundEvents;
import su.a71.new_soviet.NewSoviet;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.sound.BlockSoundGroup;
import net.minecraft.sound.SoundEvent;
import net.minecraft.util.Identifier;

public class Sounds {
    //dice sound
    public static SoundEvent DICE_SOUND = registerSoundEvent("dice_sound");
    //parquet sounds
    public static SoundEvent PARQUET_WALK = registerSoundEvent("parquet_walk");
    public static final BlockSoundGroup PARQUET_SOUNDS = new BlockSoundGroup(1f, 1f,
            BlockSoundGroup.CHERRY_WOOD.getBreakSound(), Sounds.PARQUET_WALK, BlockSoundGroup.CHERRY_WOOD.getPlaceSound(),
            BlockSoundGroup.CHERRY_WOOD.getHitSound(), Sounds.PARQUET_WALK);

    //meat sounds
    public static final BlockSoundGroup MEAT_SOUNDS = new BlockSoundGroup(1f, 1f,
            BlockSoundGroup.MUD.getBreakSound(), BlockSoundGroup.HONEY.getStepSound(), BlockSoundGroup.MUD.getPlaceSound(),
            BlockSoundGroup.MUD.getHitSound(), BlockSoundGroup.HONEY.getStepSound());

    //switch sound
    public static SoundEvent SWITCH_PRESS = registerSoundEvent("switch_press");

    //sand tiles sounds
    public static final BlockSoundGroup SAND_TILES_SOUNDS = new BlockSoundGroup(1f, 0.8f,
            BlockSoundGroup.MUD_BRICKS.getBreakSound(), BlockSoundGroup.DECORATED_POT.getStepSound(), BlockSoundGroup.MUD_BRICKS.getPlaceSound(),
            BlockSoundGroup.MUD_BRICKS.getHitSound(), BlockSoundGroup.DECORATED_POT.getStepSound());

    //wallpaper block sounds
    public static final BlockSoundGroup WALLPAPER_BLOCK_SOUNDS = new BlockSoundGroup(1f, 0.7f,
            BlockSoundGroup.BAMBOO_WOOD.getBreakSound(), BlockSoundGroup.WOOL.getStepSound(), BlockSoundGroup.BAMBOO_WOOD.getPlaceSound(),
            BlockSoundGroup.WOOL.getHitSound(), BlockSoundGroup.WOOL.getStepSound());
    //rake sound
    public static SoundEvent ITEM_RAKE_TILL = registerSoundEvent("item_rake_till");

    private static SoundEvent registerSoundEvent(String name) {
        Identifier id = new Identifier(NewSoviet.MOD_ID, name);
        return Registry.register(Registries.SOUND_EVENT, id, SoundEvent.of(id));
    }
}